Bug 491355 - Cannot export OpenVPN connection
Cannot export OpenVPN connection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 11:24 EDT by ajs
Modified: 2010-02-11 16:03 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.7.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-24 15:43:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VPN configuration screenshots (138.36 KB, application/x-gzip)
2010-02-11 16:03 EST, Slawomir Czarko
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 573986 None None None Never

  None (edit)
Description ajs 2009-03-20 11:24:21 EDT
Description of problem:
When I try and export a working OpenVPN configuration, I get an error message


Version-Release number of selected component (if applicable):
0.7.0.99

How reproducible:
Always

Steps to Reproduce:
1. Right click on NM applet
2. select "Edit Connections ..." menu item
3. select "VPN" tab
4. select a working OpenVPN configuration
5. click "Export"
6. Select a file location
7. Click "Save"

Actual results:
 Error box with:
    Cannot export VPN connection

    The VPN connection '<snip>' could not be exported to openvpn.conf.

    Error: unknown error.
  
Expected results:

New file openvpn.conf with working open VPN settings or an explanation of the problem (lack of export capability for openvpn)


Additional info:
  This bug is a split of the openvpn part of the problem reported in https://bugzilla.redhat.com/show_bug.cgi?id=480496.  See also http://bugzilla.gnome.org/show_bug.cgi?id=551939 for an explanation of the split.
Comment 1 Dan Williams 2009-11-07 00:51:41 EST
commit f6bebbfbd04cce2ab93ac9efb7b99bb54b5ba09d
Author: Dan Williams <dcbw@redhat.com>
Date:   Fri Oct 30 13:48:57 2009 -0700

    export: implement export and fix a few import/export bugs (bgo #573986)
    
    do_export() by Huzaifa S. Sidhpurwala <huzaifas@redhat.com> with
    cleanups by me.  Testcases and import/export bugfixes by me.

Will be fixed in an F10 update soon.
Comment 2 Bug Zapper 2009-11-18 06:33:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 ajs 2009-11-18 10:57:05 EST
Bumping the version to 11 as the bug occurs in F11 as well.
Comment 4 Dan Williams 2009-11-23 17:27:07 EST
Fix tagged and ready to build when NM 0.7.2 drops into f11-updates.
Comment 5 Fedora Update System 2009-12-07 13:49:04 EST
NetworkManager-openconnect-0.7.2-1.fc11,NetworkManager-pptp-0.7.2-1.fc11,NetworkManager-openvpn-0.7.2-1.fc11,NetworkManager-vpnc-0.7.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/NetworkManager-openconnect-0.7.2-1.fc11,NetworkManager-pptp-0.7.2-1.fc11,NetworkManager-openvpn-0.7.2-1.fc11,NetworkManager-vpnc-0.7.2-1.fc11
Comment 6 Fedora Update System 2009-12-09 23:29:58 EST
NetworkManager-openconnect-0.7.2-1.fc11, NetworkManager-pptp-0.7.2-1.fc11, NetworkManager-openvpn-0.7.2-1.fc11, NetworkManager-vpnc-0.7.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager-openconnect NetworkManager-pptp NetworkManager-openvpn NetworkManager-vpnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13032
Comment 7 Fedora Update System 2009-12-24 15:43:16 EST
NetworkManager-openconnect-0.7.2-1.fc11, NetworkManager-pptp-0.7.2-1.fc11, NetworkManager-openvpn-0.7.2-1.fc11, NetworkManager-vpnc-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Slawomir Czarko 2010-02-10 14:04:59 EST
This problem (or bug 480496) is still present in Fedora 12
Comment 9 Dan Williams 2010-02-10 14:32:36 EST
(In reply to comment #8)
> This problem (or bug 480496) is still present in Fedora 12    

What kind of config are you trying to export?  What's the exact problem, that when you hit export and pick a path, something fails?  Or that export is not able to be clicked?
Comment 10 Slawomir Czarko 2010-02-10 15:00:29 EST
(In reply to comment #9)
> (In reply to comment #8)
> > This problem (or bug 480496) is still present in Fedora 12    
> 
> What kind of config are you trying to export?  What's the exact problem, that
> when you hit export and pick a path, something fails?  Or that export is not
> able to be clicked?    

The problem is the same as in the original bug.

1. Select OpenVPN connection in Network Manager.
2. Click Export
3. Select file name
4. Click Save
5. I get message box titled "Cannot export VPN connection" with text:
The VPN connection 'blah' could not be exported to blah.conf.

Error: unknown error.

6. The file which should be exported is not there.
Comment 11 Dan Williams 2010-02-10 19:29:41 EST
Ok, is this a "static key" connection?

Do you have any messages from nm-connection-editor in ~/.xsession-errors right after exporting?
Comment 12 Slawomir Czarko 2010-02-11 15:57:00 EST
(In reply to comment #11)
> Ok, is this a "static key" connection?
no, it's with certificates (TLS)

> 
> Do you have any messages from nm-connection-editor in ~/.xsession-errors right
> after exporting?    

nothing after exporting but I do get something when editing this connection:

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: ca

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: cert

** (nm-connection-editor:1649): WARNING **: Invalid setting VPN: key
Comment 13 Slawomir Czarko 2010-02-11 16:03:25 EST
Created attachment 390348 [details]
VPN configuration screenshots

Here's the configuration of the connection in question.
(IP address was hidden)

Note You need to log in before you can comment on or make changes to this bug.